{
  "parser": "babel-eslint",
  "extends": [
    "airbnb",
    "airbnb/hooks",
    "prettier"
  ],
  "plugins": [
    "prettier"
  ],
  "rules": {
    // Prettier
    "prettier/prettier": [2, 
      { 
        "singleQuote": true,
        "trailingComma": "all",
        "tabWidth": 2,
        "arrowParens": "always",
        "printWidth": 100,
        "bracketSpacing": true,
        "jsxSingleQuote": true,
        "jsxBracketSameLine": false
      }
    ],
    // React
    "react/jsx-filename-extension": 0,
    "react/prop-types": 0,
    "react/no-array-index-key": 0,
    "react/destructuring-assignment": 0,
    "react/jsx-props-no-spreading": 0,
    // Import
    "import/prefer-default-export": 0,
    "import/no-cycle": 0,
    "no-undef": 0,
    // Eslint
    "no-use-before-define": 0,
    "global-require": 0,
    "no-plusplus": 0
  }
}